org.apache.felix.ipojo.manipulator.spi.provider

## Class DefaultModuleProvider

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.spi.provider.DefaultModuleProvider

All Implemented Interfaces:
  ModuleProvider

Direct Known Subclasses:
  CoreModuleProvider

    public class DefaultModuleProvider
    extends Object
    implements ModuleProvider

Return the given collection of `Module`s.

Since:
  1.11.2
Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`DefaultModuleProvider()`
`DefaultModuleProvider(Iterable<Module> modules)`
`DefaultModuleProvider(Module... modules)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterable<Module>` `findModules()` Discover a set of modules at a given time.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultModuleProvider

    public DefaultModuleProvider()

#### DefaultModuleProvider

    public DefaultModuleProvider(Module... modules)

#### DefaultModuleProvider

    public DefaultModuleProvider(Iterable<Module> modules)

### Method Detail

#### findModules

    public Iterable<Module> findModules()

Description copied from interface: `ModuleProvider`
Discover a set of modules at a given time. Returned modules could disappear in the future.

Specified by:
  `findModules` in interface `ModuleProvider`
Returns:
  discovered modules (should <bold>NEVER</bold> returns null)